Package org.eclipse.graphiti.features.context

# Interface ICustomContext

All Superinterfaces:
  `IContext`, `ILocationContext`, `IPropertyBag`

All Known Subinterfaces:
  `IDoubleClickContext`, `ISingleClickContext`

All Known Implementing Classes:
  `AbstractClickContext`, `CustomContext`, `DoubleClickContext`, `SingleClickContext`

public interface ICustomContext extends ILocationContext
The Interface ICustomContext.

## Method Summary

Modifier and Type
Method
Description
`GraphicsAlgorithm`
`getInnerGraphicsAlgorithm()`
Gets the inner graphics algorithm.
`PictogramElement`
`getInnerPictogramElement()`
Gets the inner pictogram element.
`PictogramElement[]`
`getPictogramElements()`
Gets the pictogram elements.

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Method Details

### getPictogramElements

PictogramElement[] getPictogramElements()
Gets the pictogram elements.

Returns:
  the currently selected pictogram elements

### getInnerPictogramElement

PictogramElement getInnerPictogramElement()
Gets the inner pictogram element.

Returns:
  the pictogram element at the mouse click position

### getInnerGraphicsAlgorithm

GraphicsAlgorithm getInnerGraphicsAlgorithm()
Gets the inner graphics algorithm.

Returns:
  the graphics algorithm at the mouse click position